Core resources
Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesBooking flow
Query availabilitySearch availabilityBookCart validateCart checkoutRe-usable email templates
iduuidUnique identifier
created_attimestamp with time zoneCreation timestamp
updated_attimestamp with time zoneLast modification timestamp
attachmentsArray<{ filename: string; url: string; type: string }>List of attachments to include in the email
bodyMultiLanguageStringBody of the email
ftstsvectorFull text search index
include_booking_detailsbooleanWhether to include booking details in the email
include_booking_linkbooleanWhether to include a link to the booking status page in the email
include_ical_databooleanWhether to include an iCal attachment in the email
include_product_imagebooleanWhether to include a product image in the email
momentMomentExpression | nullMoment at which the email should be sent.
past_schedule_behavior"skip" | "send"Behavior when the message is created with a schedule in the past
status"CANCELLED" | "TENTATIVE" | "CONFIRMED"Whether the message will be scheduled for pending and confirmed events, or just for confirmed events
subjectMultiLanguageStringSubject of the email
timetime without time zone | nullTime at which the message should be sent
triggertext | nullTrigger of the email template
type"email" | "sms"Message type. email or sms
JSON
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-06-08T20:32:16.575Z",
"updated_at": "2026-06-08T20:32:16.575Z",
"attachments": [
{
"filename": "file",
"url": "https://example.com",
"type": "application/pdf"
}
],
"body": {
"default": "Hello",
"nl-NL": "Hallo"
},
"include_booking_details": false,
"include_booking_link": true,
"include_ical_data": false,
"include_product_image": false,
"moment": {
"offset": 1,
"type": "check-in"
},
"past_schedule_behavior": "send",
"status": "CONFIRMED",
"subject": {
"default": "Hello",
"nl-NL": "Hallo"
},
"time": null,
"trigger": "",
"type": "email"
}idFilter<uuid>Unique identifier
organization_idFilter<uuid>Identifier of the organization this email template is defined in
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
attachmentsFilter<Array<{ filename: string; url: string; type: string }>>List of attachments to include in the email
bodyFilter<MultiLanguageString>Body of the email
ftsFilter<tsvector>Full text search index
include_booking_detailsFilter<boolean>Whether to include booking details in the email
include_booking_linkFilter<boolean>Whether to include a link to the booking status page in the email
include_ical_dataFilter<boolean>Whether to include an iCal attachment in the email
include_product_imageFilter<boolean>Whether to include a product image in the email
momentFilter<MomentExpression | null>Moment at which the email should be sent.
past_schedule_behaviorFilter<"skip" | "send">Behavior when the message is created with a schedule in the past
statusFilter<"CANCELLED" | "TENTATIVE" | "CONFIRMED">Whether the message will be scheduled for pending and confirmed events, or just for confirmed events
subjectFilter<MultiLanguageString>Subject of the email
timeFilter<time without time zone | null>Time at which the message should be sent
triggerFilter<text | null>Trigger of the email template
typeFilter<"email" | "sms">Message type. email or sms
200A list of message templates with the selected columns
206Partial Content
GET /message_templatescurl -X GET "https://api.bookingmood.com/v1/message_templates?select=*" \
-H "Authorization: Bearer YOUR_API_KEY"Partial<MessageTemplate> | Array<Partial<MessageTemplate>>201The newly created message templates with the selected columns
POST /message_templatescurl -X POST "https://api.bookingmood.com/v1/message_templates" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[]'idFilter<uuid>Unique identifier
organization_idFilter<uuid>Identifier of the organization this email template is defined in
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
attachmentsFilter<Array<{ filename: string; url: string; type: string }>>List of attachments to include in the email
bodyFilter<MultiLanguageString>Body of the email
ftsFilter<tsvector>Full text search index
include_booking_detailsFilter<boolean>Whether to include booking details in the email
include_booking_linkFilter<boolean>Whether to include a link to the booking status page in the email
include_ical_dataFilter<boolean>Whether to include an iCal attachment in the email
include_product_imageFilter<boolean>Whether to include a product image in the email
momentFilter<MomentExpression | null>Moment at which the email should be sent.
past_schedule_behaviorFilter<"skip" | "send">Behavior when the message is created with a schedule in the past
statusFilter<"CANCELLED" | "TENTATIVE" | "CONFIRMED">Whether the message will be scheduled for pending and confirmed events, or just for confirmed events
subjectFilter<MultiLanguageString>Subject of the email
timeFilter<time without time zone | null>Time at which the message should be sent
triggerFilter<text | null>Trigger of the email template
typeFilter<"email" | "sms">Message type. email or sms
204The deleted message templates with the selected columns
DELETE /message_templatescurl -X DELETE "https://api.bookingmood.com/v1/message_templates" \
-H "Authorization: Bearer YOUR_API_KEY"idFilter<uuid>Unique identifier
organization_idFilter<uuid>Identifier of the organization this email template is defined in
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
attachmentsFilter<Array<{ filename: string; url: string; type: string }>>List of attachments to include in the email
bodyFilter<MultiLanguageString>Body of the email
ftsFilter<tsvector>Full text search index
include_booking_detailsFilter<boolean>Whether to include booking details in the email
include_booking_linkFilter<boolean>Whether to include a link to the booking status page in the email
include_ical_dataFilter<boolean>Whether to include an iCal attachment in the email
include_product_imageFilter<boolean>Whether to include a product image in the email
momentFilter<MomentExpression | null>Moment at which the email should be sent.
past_schedule_behaviorFilter<"skip" | "send">Behavior when the message is created with a schedule in the past
statusFilter<"CANCELLED" | "TENTATIVE" | "CONFIRMED">Whether the message will be scheduled for pending and confirmed events, or just for confirmed events
subjectFilter<MultiLanguageString>Subject of the email
timeFilter<time without time zone | null>Time at which the message should be sent
triggerFilter<text | null>Trigger of the email template
typeFilter<"email" | "sms">Message type. email or sms
Partial<MessageTemplate>204The updated message templates with the selected columns
PATCH /message_templatescurl -X PATCH "https://api.bookingmood.com/v1/message_templates" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{}'